<?php

#A
$lang['add'] = 'Add';


#B


#C
$lang['cancel'] = 'Cancel';
$lang['couponformtemplate_addedit'] = 'Add or Edit a Coupon Form Template';


#D
$lang['delete'] = 'Delete';
$lang['default_template_notice'] = <<<EOT
<strong>Note:</strong> The contents of these text areas are used to determine the default content of templates when you click &quot;Add Template&quot; in the appropriate template tab.  Editing one of these text areas will have no immediate effect on your website.
EOT;


#E
$lang['edit'] = 'Edit';
$lang['error_already_prod'] = 'A product condition already exists in the condition list';
$lang['error_duplicate_condition'] = 'A duplicate condition already exists in the condition list';
$lang['error_duplicate_type'] = 'A duplicate product condition already exists';
$lang['error_empty_code'] = 'Please enter a valid value';
$lang['error_invalid_code'] = 'Promotion Code not recognised';
$lang['error_invalid_feu_group'] = 'Invalid FEU Group Name Specified';
$lang['error_invalid_order_amount'] = 'The order amount specified is invalid';
$lang['error_invalid_product_category'] = 'At least one invalid product category';
$lang['error_invalid_product'] = 'Invalid product id specified';
$lang['error_invalid_value'] = 'Invalid Value Specified';
$lang['error_missing_param'] = 'A required input parameter is missing';
$lang['error_module_not_found'] = 'A Required Module (%s) Could not be found';
$lang['error_name_exists'] = 'A promotion by that name already exists';
$lang['error_nooffer_data'] = 'There is no value associated witht he offer type';
$lang['error_promotion_name'] = 'Each promotion must have a name';
$lang['error_save_promotion'] = 'An error occurred trying to save this promotion';
$lang['error_specify_value'] = 'Please specify a value';

#F
$lang['friendlyname'] = 'Promotion Manager';

#G


#H
$lang['help'] = <<<EOT
<h3>What does this do?</h3>
<p>This module works in conjunction with the Products and Orders module to allow creating and managing time limited promotions for the products on your e-commerce website.</p>
<h3>Features:</h3>
<ul>
<li><u>All promotions are time limited.</u><br/><br/></li>
<li><u>A promotion can have one or more conditions to indicate eligibility.</u>
  <p>If a promotion is defined with two or more conditions, all of those conditions must be met in order for the customer to be eligible for the promotion.</p>
  <p>A number of condition types exist... However some of them cannot be combined with others.  i.e:  You cannot have two different type of product conditions.</p>
  <ul>
<li><u>Require membership in an FEU Group:</u>
  <p>You can enter a comma separated list of FEU group names.  The logged in website visitor must be a member of one of these groups to be eligible for the promotion.</p></li>
  <li><u>Require a minimum purchase amount:</u>
  <p>In order for a customer to meet this condition, the pre-tax/pre-shipping total for their order must meet the specified minimum value.</p></li>
  <li><u>Require the purchase of a specific product:</u>
  <p>In order for a customer to meet this condition, his cart must contain at least one product matching the comma separated list of product ids entered.</p></li>
  <li><u>Require purchase of atleast one product in a category:</u>
  <p>In order for a customer to meet this condition, his cart must contain at least one product that is within at least one of the comma separated list of category names (from the products module) specified.</p></li>
  <li><u>Require purchase of atleast one product in a hierarchy:</u>
  <p>In order for a customer to meet this condition, his cart must contain at least one product that is within the specified products module hierarchy.</p>
  <p>Hierarchy names can be specified in the form of &quot;Parent.Parent.Child&quot; i.e: &quot;Clothing.Tents&quot;.  Hierarchy names are not case sensitive.  Wildcards can be specfified by using the * character.  i.e: &quot;Clothing*&quot;.</p></li>
  <li><u>Require a Coupon Code:</u>
  <p>In order for a customer to meet this condition, he must have supplied the coupon code that matches this condition.</p>
  <p>In order to allow customers to enter coupon codes, you need to add a tag into your page template or page content like {Promotions}.  This will display a form that allows your users to enter coupon codes.  Coupon codes are remembered until the user closes the browser.</p></li>
  <li><u>Require a minimum order weight:</u>
  <p>In order for a customer to meet this condition, the sum total of all of the weight values for the items in his cart must meet or exceed the value specified.</p></li>
  </ul>
</li>

<li><u>Each promotion can have a different &quot;offer&quot;</u>
<p>A number of different offers types are available:</p>
  <ul>
<li><u>Percentage off order total:</u>
<p>This offer type allows you to specify a floating point value between 0 and 1 to indicate a percentage off.  i.e: 0.1 indicates 10% off.   During the checkout process, any non tax, or non shipping item in the order will be reduced in price by the specified amount.</p></li>
<li><u>Reduce order total by a specified amount:</u>
<p>This offer type allows you to reduce the amount of the order by a certain dollar figure.  This dollar figure will be added as a discount item into the order line items and will appear on the invoice.</p></li>
<li><u>Receive a Free Product:</u>
<p>This offer type allows you to specify a product id to automatically include in the order at no cost.  This product will be added as a product item into the order line items, but will appear at no cost.</p></li>
<li><u>Discount the applicable products by a percentage:</u>
<p>This offer type only works if at least one product condition is specified.  If a product condition is speciried, and matches, this offer type will discount the matching products from the customer order by the specified value.</p>.
  </ul>
</li>
<li><u>Allows website visitors to enter one or more coupon codes</u><br/><br/></li>
<li><u>Discounts are calculated and applied to the order during the checkout process.</u><br/><br/></li>
<li><u>If a web customer is eligible for multiple promotions, the one with the greatest value is applied.</u></li>
</ul>
<br/>
<h3>How Do I Use It:</h3>
<ol>
  <li>1. Install and configure the module</li>
  <li>2. Create at least one promotion</li>
  <li>3. Specify this module as the &quot;Promotions&quot; module within the Orders Preferences.</li>
  <li>4. <em>(optional)</em> Add {Promotions} to a page template or page content.</em></li>
</ol>
<h3>Example:</h3>
<p>In this example we will create a promotion like &quot;10% off all orders over $100, with coupon code&quot;:</p>
<ul>
  <li>1. <u>Create a new promotion</u>
  <p>Navigate to the promotions module admin panel, and click on &quot;Add a New Promotion&quot;.  You will be presented with the promotions form.</p></li>
  <li>2. <u>Specify a promotion name</u>
  <p>For this example we will use the name &quot;Simple Sale&quot;</p></li>
  <li>3. <u>Add a coupon condition</u>
  <p>From the &quot;Type of Condition&quot; dropdown select &quot;Require a Coupon Code&quot;.  Enter &quot;simplesale&quot; into the input field below and click Add.</p></li>
  <li>4. <u>Add an order price condition</u>
  <p>From the &quot;Type of Condition&quot; dropdown select &quot;Require a Minimum Purchase Amount&quot; from the dropdown, and enter 100 into the input field below.  Click Add.</p></li>
  <li>5. <u>Specify the offer type, and amount</u>
  <p>Select the offer type &quot;Percentage off order total&quot; and enter 0.1 into the text field below to indicate 10%&quot;</p></li>
  <li>6. <u>Click submit</u></li>
</ul>
<h3>Support</h3>
<p>This module does not include commercial support.  However there are a number of resources available to help you with it:</p>
<ul>
<li>For the latest version of this module, FAQs or to file a bug report, please visit the cms made simple <a href="http://dev.cmsmadesimple.org">Developers Forge</a> and do a search for 'Products'</li>
<li>To obtain commercial support, please send an email to the author at <a href="mailto:calguy1000@cmsmadesimple.org">Robert Campbell</a>.</li>
<li>Additional discussion of this module may also be found in the <a href="http://forum.cmsmadesimple.org">CMS Made Simple Forms.</a></li>
<li>For some questions and limited technical support, the author can often be found in the <a href="irc://irc.freenode.net/#cms">CMS IRC Channel</a>.</li>
</ul>
<h3>Copyright and License</h3>
<p>Copyright &copy; 2008, Robert Campbel <a href="mailto:calguy1000@cmsmadesimple.org">&lt;calguy1000@cmsmadesimple.org&gt;</a>. All Rights Are Reserved.</p>
<p>This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.</p>
<p>However, as a special exception to the GPL, this software is distributed
as an addon module to CMS Made Simple.  You may not use this software
in any Non GPL version of CMS Made simple, or in any version of CMS
Made simple that does not indicate clearly and obviously in its admin 
section that the site was built with CMS Made simple.</p>
<p>This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
Or read it <a href="http://www.gnu.org/licenses/licenses.html#GPL">online</a></p>
TODO
EOT;

#I
$lang['info_conditions'] = 'Specify one or more sales conditions for this promotion';
$lang['info_condition_data'] = 'Provide the appropriate data for this condition';
$lang['info_extras'] = 'This area contains optional additional attributes for each promotion for use when displaying promotion banners or promotion information.';
$lang['info_image_dir'] = 'Specify a directory name relative to the uploads directory in which to search for images to attach to offers';
$lang['info_promo_name'] = 'This name is used for invoices and sales orders to describe the discount being applied';
$lang['infodata_PROMOTIONS_COND_FEU'] = 'A comma separated list of FEU group names is permitted';
$lang['infodata_PROMOTIONS_COND_SUBTOTAL'] = 'Enter a floating point value using a . for a decimal separator.  i.e:  100.00';
$lang['infodata_PROMOTIONS_COND_WEIGHT'] = 'Enter a floating point value using a . for a decimal separator.  i.e:  100.00';
$lang['infodata_PROMOTIONS_COND_COUPON'] = 'Enter a text string of no more than 10 characters';
$lang['infodata_PROMOTIONS_COND_PRODID'] = 'Enter a comma separated list of product ids';
$lang['infodata_PROMOTIONS_COND_PRODCAT'] = 'Enter a comma separated list of product category names';
$lang['infodata_PROMOTIONS_COND_PRODHIER'] = 'Enter a single product hierarchy name in the format &quot;grandparent.parent.child&quot;';

#J


#K


#L
$lang['lbl_add_promo'] = 'Add Promotion';
$lang['lbl_edit_promo'] = 'Edit Promotion';
$lang['lbl_promotions'] = 'Promotions';
$lang['lbl_settings'] = 'Settings';
$lang['lbl_couponform_templates'] = 'Coupon Form Templates';
$lang['lbl_default_templates'] = 'Default Templates';
$lang['lbl_promo_messages'] = 'Promotion Messages';

#M
$lang['moddescription'] = 'Create, manage, and interact with sales and promotions for your e-commerce site';
$lang['msg_prefsupdated'] = 'Preferences Updated';
$lang['msg_valid_code'] = 'Your valid promotion code was recognised!';

#N
$lang['none'] = 'None';

#O


#P
$lang['postinstall'] = 'The Promotions module has been installed, please ensure that the authorized users have the &quot;Manage Promotions&quot; permission, and then configure your promotions and templates appropriately';
$lang['postuninstall'] = 'The Promotions module and all applicable data has been uninstalled from the system.  You may now remove the files associated with this module';
$lang['PROMOTIONS_COND_COUPON'] = 'Require a Coupon Code';
$lang['PROMOTIONS_COND_FEU'] = 'Require membership in an FEU group';
$lang['PROMOTIONS_COND_SUBTOTAL'] = 'Require a minimum purchase amount';
$lang['PROMOTIONS_COND_WEIGHT'] = 'Require a minimum order weight';
$lang['PROMOTIONS_COND_PRODID'] = 'Require purchase of a specific product';
$lang['PROMOTIONS_COND_PRODCAT'] = 'Require purchase of at least one product in a category';
$lang['PROMOTIONS_COND_PRODHIER'] = 'Require purchase of at least one product in a hierarchy';
$lang['03_PROMOTIONS_OFFER_PERCENT'] = 'Percentage off order total';
$lang['04_PROMOTIONS_OFFER_DISCOUNT'] = 'Reduce order total by a specified dollar figure';
$lang['01_PROMOTIONS_OFFER_PRODUCT'] = 'Receive a free product';
$lang['02_PROMOTIONS_OFFER_PRODDISCOUNT'] = 'Discount the applicable products by a percentage';
$lang['prompt_add_condition'] = 'Add a Condition';
$lang['prompt_addpromo'] = 'Add a New Promotion';
$lang['prompt_code'] = 'Coupon Code';
$lang['prompt_condition_data'] = 'Condition Data';
$lang['prompt_condition_type'] = 'Type of Condition';
$lang['prompt_conditions'] = 'Conditions';
$lang['prompt_coupon_code'] = 'Enter a Coupon or Promotion Code';
$lang['prompt_dflt_offer_type'] = 'Default offer type';
$lang['prompt_dflt_promotion_period'] = 'Default Promotion Period (months)';
$lang['prompt_end_date'] = 'End Date';
$lang['prompt_error_empty'] = 'Empty Code Message';
$lang['prompt_error_invalid'] = 'Invalid Code Message';
$lang['prompt_extras'] = 'Extras';
$lang['prompt_free_product'] = 'Specify the free product';
$lang['prompt_id'] = 'ID';
$lang['prompt_image'] = 'Image';
$lang['prompt_image_dir'] = 'Image Directory';
$lang['prompt_description'] = 'Description';
$lang['prompt_msg_valid_code'] = 'Valid Code Message';
$lang['prompt_name'] = 'Name';
$lang['prompt_offer'] = 'Offer';
$lang['prompt_offer_data'] = 'Offer Data';
$lang['prompt_offer_type'] = 'Offer Type';
$lang['prompt_offers'] = 'Offers';
$lang['prompt_percentage_discount'] = 'Percent Discount <em>(expressed as a decimal from 0 to 1)</em>';
$lang['prompt_price_discount'] = 'Specify the dollar figure to remove from the order';
$lang['prompt_start_date'] = 'Start Date';
$lang['prompt_template'] = 'Template';
$lang['promptdata_PROMOTIONS_COND_COUPON'] = 'Coupon Code';
$lang['promptdata_PROMOTIONS_COND_FEU'] = 'FEU Group Name';
$lang['promptdata_PROMOTIONS_COND_SUBTOTAL'] = 'Minimum Order Amount';
$lang['promptdata_PROMOTIONS_COND_WEIGHT'] = 'Minimum Order Weight';
$lang['promptdata_PROMOTIONS_COND_PRODID'] = 'Product Id';
$lang['promptdata_PROMOTIONS_COND_PRODCAT'] = 'Product Category';
$lang['promptdata_PROMOTIONS_COND_PRODHIER'] = 'Product Hierarchy';
$lang['promptoffer_03_PROMOTIONS_OFFER_PERCENT'] = 'Discount Percentage <em>(expressed as a value from 0.00 to 1.00)</em>';
$lang['promptoffer_04_PROMOTIONS_OFFER_DISCOUNT'] = 'Cash Discount';
$lang['promptoffer_01_PROMOTIONS_OFFER_PRODUCT'] = 'Product ID to give free';
$lang['promptoffer_02_PROMOTIONS_OFFER_PRODDISCOUNT'] = 'Discount Percentage <em>(expressed as a value from 0.00 to 1.00)</em>';

#Q


#R
$lang['really_delete_promotion'] = 'Are you sure you want to remove this promotion?';
$lang['really_uninstall'] = 'Are you sure you want to uninstall this module? Proceeding will permanently remove all of your promotions data and may cause problems with a working e-commerce website.';
$lang['resettofactory'] = 'Reset To Factory Defaults';

#S
$lang['submit'] = 'Submit';

#T
$lang['title_couponform_dflttemplate'] = 'System Default Coupon Form Template';

#U


#V


#W
$lang['warning_no_conditions'] = 'You have not specified any conditions for this offer (other than a start and end date).  Click OK to continue, or Cancel to correct this';

#X


#Y


#Z


?>